FROM opsperator/nodejs

USER root

COPY . /tmp/src/
RUN chown -R 1001:0 /tmp/src

RUN set -x \
    && env \
    && ls -al /tmp/src

USER 1001

RUN set -x \
    && env \
    && id \
    && pwd \
    && ls -al \
    && DEBUG=yay /usr/libexec/s2i/assemble

CMD $STI_SCRIPTS_PATH/run
